Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans.impl.inst2xsd.util
Class TypeSystemHolder

    java.lang.Object
      org.apache.xmlbeans.impl.inst2xsd.util.TypeSystemHolder

    public class TypeSystemHolder

extends java.lang.Object

Author:
  Cezar Andrei (cezar.andrei at bea.com) Date: Jul 16, 2004

Constructor Summary
`TypeSystemHolder()`

Method Summary
`void` | `addGlobalAttribute(Attribute attribute)`
`void` | `addGlobalElement(Element element)`
`void` | `addGlobalType(Type type)`
`protected void` | `fillUpContentForComplexType(Type type, org.apache.xmlbeans.impl.xb.xsdschema.ComplexType sComplexType, java.lang.String tns)`
`protected void` | `fillUpLocalAttribute(Attribute att, org.apache.xmlbeans.impl.xb.xsdschema.Attribute sAttribute, java.lang.String tns)`
`protected void` | `fillUpLocalElement(Element element, org.apache.xmlbeans.impl.xb.xsdschema.LocalElement localSElement, java.lang.String tns)`
`Attribute` | `getGlobalAttribute(javax.xml.namespace.QName name)`
`Attribute[]` | `getGlobalAttributes()`
`Element` | `getGlobalElement(javax.xml.namespace.QName name)`
`Element[]` | `getGlobalElements()`
`Type` | `getGlobalType(javax.xml.namespace.QName name)`
`Type[]` | `getGlobalTypes()`
`org.apache.xmlbeans.impl.xb.xsdschema.SchemaDocument[]` | `getSchemaDocuments()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TypeSystemHolder

    public TypeSystemHolder()

Method Detail

### addGlobalElement

    public void addGlobalElement(Element element)

### getGlobalElement

    public Element getGlobalElement(javax.xml.namespace.QName name)

### getGlobalElements

    public Element[] getGlobalElements()

### addGlobalAttribute

    public void addGlobalAttribute(Attribute attribute)

### getGlobalAttribute

    public Attribute getGlobalAttribute(javax.xml.namespace.QName name)

### getGlobalAttributes

    public Attribute[] getGlobalAttributes()

### addGlobalType

    public void addGlobalType(Type type)

### getGlobalType

    public Type getGlobalType(javax.xml.namespace.QName name)

### getGlobalTypes

    public Type[] getGlobalTypes()

### getSchemaDocuments

    public org.apache.xmlbeans.impl.xb.xsdschema.SchemaDocument[] getSchemaDocuments()

### fillUpLocalElement

    protected void fillUpLocalElement(Element element,
                                      org.apache.xmlbeans.impl.xb.xsdschema.LocalElement localSElement,
                                      java.lang.String tns)

### fillUpLocalAttribute

    protected void fillUpLocalAttribute(Attribute att,
                                        org.apache.xmlbeans.impl.xb.xsdschema.Attribute sAttribute,
                                        java.lang.String tns)

### fillUpContentForComplexType

    protected void fillUpContentForComplexType(Type type,
                                               org.apache.xmlbeans.impl.xb.xsdschema.ComplexType sComplexType,
                                               java.lang.String tns)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD